Integrations

Update integration

Update integration configuration (name, config, credentials). Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupIntegrations
Rate limitSee Rate Limits
PATCH/api/integrations/projects/{projectId}/integrations/{integrationId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, IntegrationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const integrations = new IntegrationsApi(configuration);
import { Configuration, IntegrationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const integrations = new IntegrationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await integrations.updateIntegration(
  "proj_hIRpUDbIoiY1",
  "KmAtKobdkZlsAqjG",
  {
    name: "Filiberto Okuneva",
    config: "matrix generate",
    credentials: "microchip compress"
  }
);
const { data: result } = await integrations.updateIntegration(
  "proj_hIRpUDbIoiY1",
  "KmAtKobdkZlsAqjG",
  {
    name: "Filiberto Okuneva",
    config: "matrix generate",
    credentials: "microchip compress"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
integrationIdstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "config": {},
  "credentials": {}
}
{
  "name": "Johnathan Torp I",
  "config": {},
  "credentials": {}
}

Responses

200Integration updated
json
{
  "integration": {
    "_id": "65a1b2c3d4e5f6789012345i",
    "name": "Updated Integration",
    "provider": "twitter",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "integration": {
    "_id": "65a1b2c3d4e5f6789012345i",
    "name": "Updated Integration",
    "provider": "twitter",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
400
401
404

Errors

CodeMeaning
400
401
404
Edit this page on GitHub